Loading...
Searching...
No Matches
volk_32fc_deinterleave_64f_x2.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <immintrin.h>`
`#include <emmintrin.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_32fc_deinterleave_64f_x2_a_H

## Functions

static void | volk_32fc_deinterleave_64f_x2_u_avx (double *iBuffer, double *qBuffer, const lv_32fc_t *complexVector, unsigned int num_points)
static void | volk_32fc_deinterleave_64f_x2_u_sse2 (double *iBuffer, double *qBuffer, const lv_32fc_t *complexVector, unsigned int num_points)
static void | volk_32fc_deinterleave_64f_x2_generic (double *iBuffer, double *qBuffer, const lv_32fc_t *complexVector, unsigned int num_points)
static void | volk_32fc_deinterleave_64f_x2_a_avx (double *iBuffer, double *qBuffer, const lv_32fc_t *complexVector, unsigned int num_points)
static void | volk_32fc_deinterleave_64f_x2_a_sse2 (double *iBuffer, double *qBuffer, const lv_32fc_t *complexVector, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_32fc_deinterleave_64f_x2_a_H

#define INCLUDED_volk_32fc_deinterleave_64f_x2_a_H

## Function Documentation

## volk_32fc_deinterleave_64f_x2_a_avx()

void volk_32fc_deinterleave_64f_x2_a_avx | ( | double * | iBuffer,
|  | double * | qBuffer,
|  | const lv_32fc_t * | complexVector,
|  | unsigned int | num_points )

inline static

## volk_32fc_deinterleave_64f_x2_a_sse2()

void volk_32fc_deinterleave_64f_x2_a_sse2 | ( | double * | iBuffer,
|  | double * | qBuffer,
|  | const lv_32fc_t * | complexVector,
|  | unsigned int | num_points )

inline static

## volk_32fc_deinterleave_64f_x2_generic()

void volk_32fc_deinterleave_64f_x2_generic | ( | double * | iBuffer,
|  | double * | qBuffer,
|  | const lv_32fc_t * | complexVector,
|  | unsigned int | num_points )

inline static

## volk_32fc_deinterleave_64f_x2_u_avx()

void volk_32fc_deinterleave_64f_x2_u_avx | ( | double * | iBuffer,
|  | double * | qBuffer,
|  | const lv_32fc_t * | complexVector,
|  | unsigned int | num_points )

inline static

## volk_32fc_deinterleave_64f_x2_u_sse2()

void volk_32fc_deinterleave_64f_x2_u_sse2 | ( | double * | iBuffer,
|  | double * | qBuffer,
|  | const lv_32fc_t * | complexVector,
|  | unsigned int | num_points )

inline static